import { world } from "@minecraft/server";

world.afterEvents.entityHurt.subscribe(({ hurtEntity, damageSource }) => {
    const typeId = hurtEntity.typeId;  
    const damageSourceTypeId = damageSource.damagingEntity.typeId;  

    if (typeId === 'minecraft:villager_v2' && damageSourceTypeId === 'cso:regular_zombie') {
        const healthComponent = hurtEntity.getComponent("health");
        if (healthComponent.currentValue <= 0) {
            damageSource.damagingEntity.runCommandAsync('summon cso:regular_zombie ^^^ cso:regular_zombie_default');
            damageSource.damagingEntity.runCommandAsync('particle cso:infect ^^0.7^1.5');
            damageSource.damagingEntity.runCommandAsync('scoreboard players add @s cso_evolution 3');
            damageSource.damagingEntity.runCommandAsync('playsound mob.cso_zombie.infect @a ~ ~ ~ 3');
        }
    }
    if (typeId === 'minecraft:villager_v2' && damageSourceTypeId === 'cso:regular_zombie_host') {
        const healthComponent = hurtEntity.getComponent("health");
        if (healthComponent.currentValue <= 0) {
            damageSource.damagingEntity.runCommandAsync('summon cso:regular_zombie ^^^ cso:regular_zombie_default');
            damageSource.damagingEntity.runCommandAsync('particle cso:infect ^^0.7^1.5');
            damageSource.damagingEntity.runCommandAsync('playsound mob.cso_zombie.infect @a ~ ~ ~ 3');
        }
    }
});